Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
[Java] Class Janitor

    java.lang.Object
      org.codehaus.groovy.control.Janitor

All Implemented Interfaces:
  HasCleanup

    public class Janitor
    extends Object

An agent that can be used to defer cleanup operations to a later time. Users much implement the HasCleanup interface.

Authors:
  Chris Poirier

Version:
  \$Id: Janitor.java 10493 2008-01-19 10:23:02Z russel \$

Method Summary
`void` | `cleanup()`
`void` | `register(HasCleanup object)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### cleanup

    public void cleanup()

### register

    public void register(HasCleanup object)

Copyright © 2003-2010 The Codehaus. All rights reserved.